## snooze 0.2

=== Makefile ===
ALL=snooze

CFLAGS=-g -O2 -Wall -Wextra -Wwrite-strings

DESTDIR=
PREFIX=/usr/local
BINDIR=$(PREFIX)/bin
MANDIR=$(PREFIX)/share/man

all: $(ALL)

clean: FRC
	rm -f $(ALL)

install: FRC all
	mkdir -p $(DESTDIR)$(BINDIR) $(DESTDIR)$(MANDIR)/man1
	install -m0755 $(ALL) $(DESTDIR)$(BINDIR)
	install -m0644 $(ALL:=.1) $(DESTDIR)$(MANDIR)/man1

FRC:

=== debian/changelog ===
snooze (0.2-2) unstable; urgency=medium

  * debian/control: Fixup description
  * debian/rules
    * Do not spuriously disable tests
    * Remove spurious --parallel

  * Ship upstream's changelog
  * Switch to debhelper 11

  * Lintian overrides
    * Relocate to debian/source/
    * Rename debian-watch-may-check-gpg-signature
    * Add debian-watch-could-verify-download

  * Bump Standards-Version to 4.1.3
    * debian/copyright: Refer to the CC0 license file
    * debian/copyright: Use HTTPS URI for DEP5 format

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Tue, 13 Feb 2018 21:32:42 +0100

snooze (0.2-1) unstable; urgency=medium

  * Initial packaging (Closes: 882814)

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Mon, 27 Nov 2017 01:44:37 +0100

=== debian/control ===
Source: snooze
Maintainer: Nicolas Braud-Santoni <nicolas@braud-santoni.eu>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 11), dh-exec
Standards-Version: 4.1.3
Homepage: https://github.com/chneukirchen/snooze
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/snooze.git/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/snooze.git

Package: snooze
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: run a command at a particular time
 `snooze` is a tool for waiting until a particular time and then
 running a command.  Together with a service supervision system such as
 runit, this can be used to replace cron(8).
 .
 Benefits over cron:
  - mnemonic syntax
  - no overlapping job runs possible
  - filtering by ISO week and day of year
  - due to supervision, no centralized daemon required
  - due to supervision, can easily disable jobs or force their
    execution instantly
  - due to supervision, have custom logs
  - due to no centralized daemon, no fuzzing with multiple users/permissions
  - very robust with respect to external time changes
  - can use a file timestamp to ensure minimum waiting time between two
    runs, even across reboots
  - randomized delays (some cron have that)
  - variable slack (no need for anacron)
  - ad-hoc usage possible, just run the program from command line
 .
 Benefits over runwhen:
  - less confusing usage (arguably)
  - filtering by ISO week and day of year
  - zero dependencies
 .
 Benefits over uschedule:
  - no centralized daemon required
  - filtering by ISO week and day of year

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/lr-$1\.tar\.gz/ \
  https://github.com/chneukirchen/snooze/releases .*/v?(\d\S+)\.tar\.gz

## snooze 0.3

=== debian/changelog ===
snooze (0.3-1) unstable; urgency=medium

  * New upstream version (2018-02-13)
  * Move packaging repository to salsa.d.o
  * Declare compliance with policy v4.1.4.
    No change needed.
  * Remove superfluous use of dh-exec

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Wed, 09 May 2018 22:04:59 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Maintainer: Nicolas Braud-Santoni <nicolas@braud-santoni.eu>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 11), dh-exec
-Standards-Version: 4.1.3
+Build-Depends: debhelper (>= 11)
+Standards-Version: 4.1.4
 Homepage: https://github.com/chneukirchen/snooze
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/snooze.git/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/snooze.git
+Vcs-Browser: https://salsa.debian.org/debian/snooze
+Vcs-Git: https://salsa.debian.org/debian/snooze.git
 
 Package: snooze
 Architecture: any

## snooze 0.4

=== sv/Makefile ===
DESTDIR=
SYSCONFDIR=/etc
SVDIR=$(SYSCONFDIR)/sv

install: FRC
	for f in daily hourly weekly monthly; do \
		mkdir -p $(DESTDIR)$(SVDIR)/snooze-$$f; \
		install -m0755 snooze-$$f/run \
			$(DESTDIR)$(SVDIR)/snooze-$$f/; \
	done

FRC:

=== debian/changelog ===
snooze (0.4-2) unstable; urgency=medium

  * debian/rules
    + Honor build flags (incl. hardening)
    + Fail build on dh_missing
  * Setup CI using salsa-ci-team's pipeline

 -- nicoo <nicoo@debian.org>  Sat, 15 Feb 2020 23:52:28 +0100

snooze (0.4-1) unstable; urgency=medium

  * New upstream release (2020-02-07)

  * debian/control: Comply with policy v4.5.0
    + Set Rules-Requires-Root: no
  * Upgrade to debhelper compatibility level 12.
    Replace the legacy debian/compat with Build-Depends: debhelper-compat (= 12)

  * debian/watch: Update to uscan v4, check signatures on git tags
    + Remove obsoleted Lintian overrides

  * Move the packaging branch to debian/sid
  * Remove superfluous use of dh-exec
  * Update authorship information
  * Update upstream's signing key
  * Upstream repository relocated to https://github.com/leahneukirchen

 -- nicoo <nicoo@debian.org>  Wed, 12 Feb 2020 18:45:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: snooze
-Maintainer: Nicolas Braud-Santoni <nicolas@braud-santoni.eu>
+Maintainer: nicoo <nicoo@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.1.4
-Homepage: https://github.com/chneukirchen/snooze
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.5.0
+Homepage: https://github.com/leahneukirchen/snooze
 Vcs-Browser: https://salsa.debian.org/debian/snooze
 Vcs-Git: https://salsa.debian.org/debian/snooze.git
+Rules-Requires-Root: no
 
 Package: snooze
 Architecture: any

=== debian/watch ===
version=4
opts="mode=git, pgpmode=gittag" \
  https://github.com/leahneukirchen/snooze.git refs/tags/v(\d\S+)

## snooze 0.5

=== debian/changelog ===
snooze (0.5-1) unstable; urgency=medium

  * New upstream release (2021-01-14)
    + Add jitter with the `-J` option
    + 2 minor bugfixes

  * Upgrade to debhelper compatibility level 13
    `dh_missing --fail-missing` is now the default.
  * d/control: Declare compliance with policy v4.5.1.
    No change needed.

 -- nicoo <nicoo@debian.org>  Thu, 14 Jan 2021 16:48:47 +0100

snooze (0.4-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make (Closes: #951529)

  [ nicoo ]
  * Salsa CI: Remove the configuration file
    Instead, we use 'salsa-ci.yml@nicoo/conventions' as the config path.

  * d/changelog: Update nicoo's name and address
  * d/control: Update upstream's Homepage
  * Use upstream's canonical repository at vuxu.org in d/{copyright, watch}

 -- nicoo <nicoo@debian.org>  Mon, 02 Nov 2020 11:31:48 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Maintainer: nicoo <nicoo@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.5.0
-Homepage: https://github.com/leahneukirchen/snooze
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.1
+Homepage: https://git.vuxu.org/snooze/about/
 Vcs-Browser: https://salsa.debian.org/debian/snooze
 Vcs-Git: https://salsa.debian.org/debian/snooze.git
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- $(shell dpkg-buildflags --export=configure)

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

override_dh_installchangelogs:
	dh_installchangelogs NEWS.md

=== debian/watch ===
version=4
opts="mode=git, pgpmode=gittag" \
  https://git.vuxu.org/snooze/ refs/tags/v(\d\S+)
